mlx5tool(8)

NAME
mlx5tool - Utility for managing Connect-X 4/5 Mellanox network adapters

SYNOPSIS
mlx5tool -d domain:bus:slot:func -e
mlx5tool -d domain:bus:slot:func -rn
mlx5tool -d domain:bus:slot:func -o file -w
mlx5tool -d domain:bus:slot:func -f file.mfa2
mlx5tool -d domain:bus:slot:func -z

DESCRIPTION
The mlx5tool utility is provided for management of the Connect-X 4 and 5 network adapters in the aspects not covered by the generic ifconfig(8) command, mostly related to the PCIe attachment and internal card working. The utility executes commands on specific adapter, which is addressed using device:bus:slot:function conventions of the PCIe buses. You can match adapters ethernet name and addresses using the utility. The address is passed as an argument of the -d option, which must be specified for each invocation.

When the driver detects the malfunctioning of the hardware, or by user request, it is possible to create firmware dump, which contains debugging information about internal device state, for analysis of the failure by the Mellanox support team.

The following commands are currently implemented:

-e  Take the snapshot of the firmware registers state and store it in the kernel buffer. The buffer must be empty, in other words, no dumps should be written so far, or existing dump cleared with the -r command for the specified device.

-r  Clear the stored firmware dump, preparing the kernel buffer for the next dump.

-w  Fetches the stored firmware dump and writes it into the file specified by the -o option argument.

-f  Flashes the firmware image file.mfa2 to the specified adapter. Image must be in MFA2 pack format and contain a component suitable for the adapter hardware.

    Typically, PCIe link-level reset is required to activate the newly flashed image, which can be performed by the system reboot or using the -z option.

-z  Performs PCIe link-level reset on the specified device.

FILES
The /dev/mlx5ctl devfs(5) node is used to pass commands to the driver.

SEE ALSO
mlx5en(4), mlx5ib(4), mlx5io(4), ifconfig(8) and pciconf(8).